gauge
区分
JVN番号
タイトル
JVN
深刻度
最終更新日
CVE番号
New
JVNDB-2005-000396

Ruby の XMLRPC モジュールにおけるセキュリティ制限を回避される脆弱性

7.5
2007/04/01 00:00
CVE-2005-1992

JVNDB-2005-000396

Ruby の XMLRPC モジュールにおけるセキュリティ制限を回避される脆弱性
概要
Ruby に実装されている XMLRPC サーバモジュールでは、utils.rb ライブラリに定義される public_instance_methods() 関数における引数のデフォルト値が不適切に設定されているために、権限の高い関数が公開されてしまう脆弱性が存在します。
想定される影響と対策
XMLRPC サーバモジュールを使用する Ruby プログラムが稼動するシステム上で任意のコマンドを実行される可能性があります。
JVNDB-2005-000396は、ベンダより正式な対策が公開されています。ベンダ情報を参照して適切な対策を実施してください。
JVN情報 ※( )内はCVSS v3の値
深刻度7.5N/A
CVECVE-2005-1992
公表日2005/06/20 00:00
登録日2007/04/01 00:00
更新日2007/04/01 00:00
CVSS v2情報
全ての情報を閲覧するにはユーザー登録(無料)またはログインが必要です。